//
//  ViewController.m
//  20180824
//
//  Created by ZSY on 2018/8/24.
//  Copyright © 2018年 ZSY. All rights reserved.
//

#import "ViewController.h"
#import "SYButton.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.

    [self addButtonTitle:@"上" frame:CGRectMake(0, 30, 100, 100) type:TOP];
    [self addButtonTitle:@"下" frame:CGRectMake(0, 140, 100, 100) type:BOTTOM];
    [self addButtonTitle:@"左" frame:CGRectMake(110, 30, 100, 100) type:LEFT];
    [self addButtonTitle:@"右" frame:CGRectMake(110, 140, 100, 100) type:RIGHT];
}
- (void)addButtonTitle:(NSString *)title frame:(CGRect)rect type:(BtnType)type {
    SYButton *btn = [SYButton buttonWithType:UIButtonTypeCustom];
    btn.frame = rect;
    btn.btnType = type;
    [btn setTitle:title forState:UIControlStateNormal];
    [btn setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
    [btn setTitleColor:[UIColor grayColor] forState:UIControlStateHighlighted];
    [btn setImage:[UIImage imageNamed:@"image"] forState:UIControlStateNormal];
    [self.view addSubview:btn];
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
